{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Ventas'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/sales.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}
	
    <script>
		$(document).ready(function() {
			var pagina = $("#pagina").val();
			var totalItems = $("#totalItems").val();
			var cantidadResultados = $("#cantidadResultados").val();
			
			if(totalItems==""){
				totalItems=0;
			}
			
			if(pagina<=1){
				$(".bpagback").attr('disabled','disabled');
			}

			if(parseInt(totalItems)<parseInt(cantidadResultados)){
				$(".bpagenext").attr('disabled','disabled');
			}
			
			$('.bpagenext').click(function(){
				$("#pagina").val(parseInt(pagina)+1);
				$("#searchForm").submit();
				
			});
			
			$(".bpagback").click(function(){
				$("#pagina").val(parseInt(pagina)-1);
				$("#searchForm").submit();
				
			});
			/////////////////////////////////
			
			var dataSource2 = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
				prefetch: {
					url: "{{base_url()}}/oportunidad/jsonClientes"
				}
			});
			
			$('.typeclients').typeahead({
				hint: true,
				highlight: true,
				minLength: 1
			},
			{
				displayKey: 'name',
				name:'clients',
				valueKey: 'id',
				source: dataSource2.ttAdapter()
			});
			
			//////////////////////////////////////////////
			
			var dataSource = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
				prefetch: {
					url: "{{base_url()}}/oportunidad/jsonUsuarios"
				}
			});
						
			$('.typeusersoppotunity').typeahead({
				hint: true,
				highlight: true,
				minLength: 1
			},
			{
				displayKey: 'name',
				valueKey: 'id',
				name:'users',
				source: dataSource.ttAdapter()
			});
			
			////////
			
			$('.viewenddate').click(function(){
				var id = $(this).data('value');
				
				if($('#showEndDate'+id).is(":visible")){
					$('#showEndDate'+id).hide();
				}else{
					$('#showEndDate'+id).fadeIn();
				}
			});
			$('.viewserials').click(function(){
				var id = $(this).data('value');
				
				if($('#showSerial'+id).is(":visible")){
					$('#showSerial'+id).hide();
				}else{
					$('#showSerial'+id).fadeIn();
				}
			});
			$('.viewdate').click(function(){
				var id = $(this).data('value');
				
				if($('#showDate'+id).is(":visible")){
					$('#showDate'+id).hide();
				}else{
					$('#showDate'+id).fadeIn();
				}
			});
			$('.viewstatus').click(function(){
				var id = $(this).data('value');
				
				if($('#showStatus'+id).is(":visible")){
					$('#showStatus'+id).hide();
				}else{
					$('#showStatus'+id).fadeIn();
				}
			});
		});
	</script>
{% endblock %}

